> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shoppex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create product variant field

> Developer API operation for POST /dev/v1/products/{id}/variants/fields.



## OpenAPI

````yaml /openapi.json post /dev/v1/products/{id}/variants/fields
openapi: 3.0.3
info:
  title: Shoppex Developer API
  description: Mintlify-compatible Developer API reference for Shoppex.
  version: 1.0.0
  contact:
    name: Shoppex Support
    email: support@shoppex.io
    url: https://shoppex.io
servers:
  - url: https://api.shoppex.io
security:
  - bearerAuth: []
paths:
  /dev/v1/products/{id}/variants/fields:
    post:
      tags:
        - Products
      summary: Create product variant field
      description: Developer API operation for POST /dev/v1/products/{id}/variants/fields.
      operationId: postDevV1ProductsByIdVariantsFields
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              additionalProperties: true
              example:
                name: Edition
                type: radio
                required: false
                sort_order: 1
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    additionalProperties: true
        '201':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                example:
                  data:
                    id: field_2
                    name: Edition
                    type: radio
                    required: false
                    placeholder: null
                    default_value: null
                    sort_order: 1
                    options: []
                    created_at: 1711953600
                    updated_at: 1711953900
      deprecated: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Use your Shoppex API key in the Authorization header.

````